module Refinery
  module MagickalWorking
    class Engine < Rails::Engine
      include Refinery::Engine
      isolate_namespace Refinery::MagickalWorking

      engine_name :refinery_magickal_workings

      initializer "register refinerycms_magickal_workings plugin" do
        Refinery::Plugin.register do |plugin|
          plugin.name = "magickal_workings"
          plugin.url = proc { Refinery::Core::Engine.routes.url_helpers.magickal_working_admin_magickal_workings_path }
          plugin.pathname = root
          plugin.activity = {
            :class_name => :'refinery/magickal_working/magickal_working',
            :title => 'opus'
          }
          plugin.menu_match = %r{refinery/magickal_working/magickal_workings(/.*)?$}
        end
      end

      config.after_initialize do
        Refinery.register_extension(Refinery::MagickalWorkings)
      end
    end
  end
end
